## thunderbird 2.0.0.14+nobinonly

=== security/nss/lib/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

ifeq ($(OS_TARGET), WINCE)
DIRS := $(filter-out fortcrypt,$(DIRS))
endif

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

ifdef MOZILLA_SECURITY_BUILD
FILES=$(shell ls -d $(CORE_DEPTH)/../../ns/security/lib/crypto/*)

export::
	if test -d $(CORE_DEPTH)/../../ns/security/lib/crypto; then \
	    $(NSINSTALL) -D crypto; \
	    for file in $(FILES) ; do \
		if test -f $$file; then \
		    $(INSTALL) -m 444 $$file crypto; \
		fi; \
	    done;  \
	    $(INSTALL) -m 444 freebl/sha_fast.c crypto; \
	    $(INSTALL) -m 444 freebl/sha_fast.h crypto; \
	fi
endif

=== security/nss/lib/asn1/Makefile ===
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
MAKEFILE_CVS_ID = "@(#) $RCSfile: Makefile,v $ $Revision: 1.5 $ $Date: 2005/01/20 02:25:44 $"

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk
include config.mk
include $(CORE_DEPTH)/coreconf/rules.mk

export:: private_export

=== security/nss/lib/freebl/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Stephen Fung <fungstep@hotmail.com> and
#   Douglas Stebila <douglas@stebila.ca>, Sun Microsystems Laboratories
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

-include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

# des.c wants _X86_ defined for intel CPUs.  
# coreconf does this for windows, but not for Linux, FreeBSD, etc.
ifeq ($(CPU_ARCH),x86)
ifneq (,$(filter-out WIN%,$(OS_TARGET)))
	OS_REL_CFLAGS += -D_X86_
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))  #omits WIN16 and WINCE
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
endif
endif

ifeq ($(OS_TARGET),WINCE)
    DEFINES += -DMP_ARGCHK=0	# no assert in WinCE
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -march=opteron -m64 -fPIC
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

# The -R '$ORIGIN' linker option instructs this library to search for its
# dependencies in the same directory where it resides.
MKSHLIB += -R '$$ORIGIN'
ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_INT32 = 1
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT32
	    # default ARCHFLAG=-mcpu=v8 set by coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert
	    # to what we used in NSS 3.10.
	    FPU_TARGET_OPTIMIZER = -xchip=ultra2
	endif
	ifdef USE_ABI32_INT32
	    #ARCHFLAG=-xarch=v8 set in coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses 64-bit words, integer arithmetic,
	    # no FPU (non-VIS cpus).
	    # These flags were suggested by the compiler group for building
	    # with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses FPU code, and 32-bit word size.
	    # these flags were determined by running cc -### -fast and copying
	    # the generated flag settings
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture,
	    # no FPU (non-VIS cpus). For building with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size.
	    # See comment for USE_ABI32_FPU.
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    endif # NS_USE_GCC

    ### set flags for both GCC and Sun cc
    ifdef USE_ABI32_INT32
	# this builds for Sparc v8 pure 32-bit architecture
	DEFINES += -DMP_USE_UINT_DIGIT -DMP_ASSEMBLY_MULTIPLY
	ASFILES  = mpv_sparcv8x.s
	DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
    endif
    ifdef USE_ABI32_INT64
	# this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	# 32-bit ABI, it uses 64-bit words, integer arithmetic, no FPU
	# best times are with no MP_ flags specified
    endif
    ifdef USE_ABI32_FPU
	# this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	# 32-bit ABI, it uses FPU code, and 32-bit word size
	MPI_SRCS += mpi_sparc.c
	ASFILES  = mpv_sparcv8.s montmulfv8.s

## thunderbird 1snap1-0ubuntu3

=== debian/changelog ===
thunderbird (2:1snap1-0ubuntu3) noble; urgency=medium

  * debian/control:
    - Pre-Depends on snapd since the preinst script is using it
      (lp: #2056458)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Apr 2024 16:47:38 +0200

thunderbird (2:1snap1-0ubuntu2) noble; urgency=medium

  * debian/thunderbird.desktop, debian/thunderbird.install:
    - the snap is using a different name for its .desktop, which leads
      to the dock to delete the favorite entry when the old .desktop
      is removed from disk before the run of the migration script.
      We workaround the issue by creating a thunderbird.desktop still
      but using NoDisplay=true (similarly to what was done with firefox)
  * debian/thunderbird.maintscript:
    - clean leftover conffiles on upgrade

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Apr 2024 12:01:36 +0200

thunderbird (2:1snap1-0ubuntu1) noble; urgency=medium

  * Increase the epoch number in the package version to ensure the
    package stays newer than the deb security updates in older series.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Apr 2024 21:37:23 +0200

thunderbird (1:115.8.1+build1+snap3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:15:11 +0000

thunderbird (1:115.8.1+build1+snap2) noble; urgency=medium

  * debian/control:
    - add arm64 back to the architectures list now that the snap is
      building on it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Mar 2024 12:27:08 +0100

thunderbird (1:115.8.1+build1+snap1) noble; urgency=medium

  * Deprecate the thunderbird deb in favor of the snap for maintability
    reasons similar to firefox.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 Mar 2024 00:18:19 +0100

thunderbird (1:115.8.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.8.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 29 Feb 2024 08:26:21 +0100

thunderbird (1:115.8.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.8.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 17 Feb 2024 09:30:15 +0100

thunderbird (1:115.6.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 09 Jan 2024 08:51:34 +0100

thunderbird (1:115.6.0+build2-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.0+build2)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 18 Dec 2023 16:32:09 +0100

thunderbird (1:115.6.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Dec 2023 21:47:45 +0100

thunderbird (1:115.5.2+build2-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.2+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 12 Dec 2023 08:05:52 +0100

thunderbird (1:115.5.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 29 Nov 2023 14:16:00 +0100

thunderbird (1:115.5.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 21 Nov 2023 15:20:44 +0100

thunderbird (1:115.4.3+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.4.3+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 17 Nov 2023 12:26:19 +0100

thunderbird (1:115.4.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.4.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 26 Oct 2023 09:00:28 +0200

thunderbird (1:115.3.1+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.3.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 29 Sep 2023 12:28:43 +0200

thunderbird (1:115.3.0+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.3.0+build2)
  * Update cbindgen to 0.26.0
    - debian/build/create-tarball.py

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 26 Sep 2023 20:48:49 +0200

thunderbird (1:115.2.3+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.3+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 21 Sep 2023 07:29:33 +0200

thunderbird (1:115.2.3+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.3+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 16 Sep 2023 14:09:12 +0200

thunderbird (1:115.2.0+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 28 Aug 2023 21:15:38 +0200

thunderbird (1:115.2.0+build1-0ubuntu1) mantic; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream stable release (115.2.0+build1)
  * Bump build-dep on nodejs(-mozilla) >= 12.22.12
    - debian/control{,.in}
  * Pass "export RUST_BACKTRACE=full" to cbindgen/dump_sys build
    - debian/build/rules.mk
  * Use clang 15 if available
    - debian/control{,.in}
    - debian/build/rules.mk
  * Stop signing NSS libraries using shlibsign
    https://bugzilla.mozilla.org/show_bug.cgi?id=1620158
    https://bugzilla.mozilla.org/show_bug.cgi?id=1796504
    - debian/build/rules.mk
  * Update for upstream manifest changes
    https://bugzilla.mozilla.org/show_bug.cgi?id=1810734
    - debian/build/xpi-id.py
  * Bump build-dep to python >= 3.7
    - debian/control{,.in}
  * Install glxtest and vaapitest
    - debian/firefox.install.in
  * Bump build-dep on rustc >= 1.66.0 and cargo >= 0.67
    - debian/control{,.in}
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/armhf-rustc-thin-lto.patch
  * Update cbindgen to 0.24.5
    - debian/build/create-tarball.py
  * Make use of *.strings_all.tar.zst
    - debian/build/create-tarball.py

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Aug 2023 20:03:07 +0200



=== debian/control ===
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Git: https://git.launchpad.net/~mozillateam/thunderbird -b noble
Vcs-Browser: https://git.launchpad.net/~mozillateam/thunderbird
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.2.1

Package: thunderbird
Architecture: amd64 arm64
Pre-Depends: debconf, snapd
Depends: ${misc:Depends}
Replaces: thunderbird-dbg (<< 1:115.8.1+build1+snap1),
    thunderbird-dev (<< 1:115.8.1+build1+snap1),
    thunderbird-mozsymbols (<< 1:115.8.1+build1+snap1),
Breaks: thunderbird-dbg (<< 1:115.8.1+build1+snap1),
    thunderbird-dev (<< 1:115.8.1+build1+snap1),
    thunderbird-geckodriver (<< 1:115.8.1+build1+snap1),
    thunderbird-mozsymbols (<< 1:115.8.1+build1+snap1),
Section: oldlibs
Provides: mail-reader
Description: Transitional package - thunderbird -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird is now replaced by the thunderbird snap.

Package: thunderbird-locale-af
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-af-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-af -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-af is now replaced by the thunderbird snap.

Package: thunderbird-locale-ar
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-ar-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-ar -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-ar is now replaced by the thunderbird snap.

Package: thunderbird-locale-ast
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-ast-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-ast -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-ast is now replaced by the thunderbird snap.

Package: thunderbird-locale-be
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-be-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-be -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-be is now replaced by the thunderbird snap.

Package: thunderbird-locale-bg
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-bg-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-bg -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-bg is now replaced by the thunderbird snap.

Package: thunderbird-locale-bn
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-bn-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-bn -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-bn is now replaced by the thunderbird snap.

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-bn-bd-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-bn-bd -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-bn-bd is now replaced by the thunderbird snap.

Package: thunderbird-locale-br
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-br-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-br -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-br is now replaced by the thunderbird snap.

Package: thunderbird-locale-ca
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-ca-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-ca -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-ca is now replaced by the thunderbird snap.

Package: thunderbird-locale-cak
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-cak-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-cak -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-cak is now replaced by the thunderbird snap.

Package: thunderbird-locale-cs
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-cs-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-cs -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-cs is now replaced by the thunderbird snap.

Package: thunderbird-locale-cy
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-cy-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-cy -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-cy is now replaced by the thunderbird snap.

Package: thunderbird-locale-da
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-da-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-da -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-da is now replaced by the thunderbird snap.

Package: thunderbird-locale-de
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-de-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-de -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-de is now replaced by the thunderbird snap.

Package: thunderbird-locale-dsb
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-dsb-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-dsb -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-dsb is now replaced by the thunderbird snap.

Package: thunderbird-locale-el
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-el-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-el -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-el is now replaced by the thunderbird snap.

Package: thunderbird-locale-en
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-en-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-en -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-en is now replaced by the thunderbird snap.

Package: thunderbird-locale-en-gb
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-en-gb-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-en-gb -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-en-gb is now replaced by the thunderbird snap.

Package: thunderbird-locale-en-us
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-en-us-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-en-us -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-en-us is now replaced by the thunderbird snap.

Package: thunderbird-locale-es
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-es-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-es -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-es is now replaced by the thunderbird snap.

Package: thunderbird-locale-es-ar
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-es-ar-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-es-ar -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-es-ar is now replaced by the thunderbird snap.
 
Package: thunderbird-locale-es-es
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-es-es-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-es-es -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-es-es is now replaced by the thunderbird snap.

Package: thunderbird-locale-et
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-et-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-et -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-et is now replaced by the thunderbird snap.

Package: thunderbird-locale-eu
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-eu-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-eu -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-eu is now replaced by the thunderbird snap.

Package: thunderbird-locale-fa
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fa-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fa -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fa is now replaced by the thunderbird snap.

Package: thunderbird-locale-fi
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fi-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fi -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fi is now replaced by the thunderbird snap.

Package: thunderbird-locale-fr
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fr-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fr -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fr is now replaced by the thunderbird snap.

Package: thunderbird-locale-fy
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fy-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fy -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fy is now replaced by the thunderbird snap.

Package: thunderbird-locale-fy-nl
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-fy-nl-base
Section: oldlibs
Description: Transitional package - thunderbird-locale-fy-nl -> thunderbird snap
 This is a transitional dummy package. It can safely be removed.
 .
 thunderbird-locale-fy-nl is now replaced by the thunderbird snap.

Package: thunderbird-locale-ga
Architecture: all
Depends: ${misc:Depends}, thunderbird (>= ${binary:Version})
Replaces: language-pack-ga-base

## thunderbird 1snap1-0ubuntu4

=== debian/changelog ===
thunderbird (2:1snap1-0ubuntu4) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:47:31 +0100

## thunderbird 2.0.0.17+nobinonly

=== security/nss/lib/freebl/mpi/Makefile ===
#
# Makefile for MPI library

# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the MPI Arbitrary Precision Integer Arithmetic library.
#
# The Initial Developer of the Original Code is
# Michael J. Fromberger <sting@linguist.dartmouth.edu>.
# Portions created by the Initial Developer are Copyright (C) 1998
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Netscape Communications Corporation
#   Richard C. Swift        (swift@netscape.com)
#   Douglas Stebila <douglas@stebila.ca>, Sun Microsystems Laboratories
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#
# $Id: Makefile,v 1.22.2.4 2007/05/09 01:38:14 neil.williams%sun.com Exp $
#

## Define CC to be the C compiler you wish to use.  The GNU cc
## compiler (gcc) should work, at the very least
#CC=cc
#CC=gcc

## 
## Define PERL to point to your local Perl interpreter.  It
## should be Perl 5.x, although it's conceivable that Perl 4
## might work ... I haven't tested it.
##
#PERL=/usr/bin/perl
#PERL=perl

include target.mk

CFLAGS+= $(XCFLAGS)

##
## Define LIBS to include any libraries you need to link against.
## If NO_TABLE is define, LIBS should include '-lm' or whatever is
## necessary to bring in the math library.  Otherwise, it can be
## left alone, unless your system has other peculiar requirements.
##
LIBS=#-lmalloc#-lefence#-lm

## 
## Define RANLIB to be the library header randomizer; you might not
## need this on some systems (just set it to 'echo' on these systems,
## such as IRIX)
##
RANLIB=echo

##
## This is the version string used for the documentation and 
## building the distribution tarball.  Don't mess with it unless
## you are releasing a new version
VERS=1.7p6

## ----------------------------------------------------------------------
## You probably don't need to change anything below this line...
##

##
## This is the list of source files that need to be packed into
## the distribution file
SRCS=   mpi.c mpprime.c mplogic.c mp_gf2m.c mpmontg.c mpi-test.c primes.c \
	mpcpucache.c tests/ \
	utils/gcd.c utils/invmod.c utils/lap.c \
	utils/ptab.pl utils/sieve.c utils/isprime.c\
	utils/dec2hex.c utils/hex2dec.c utils/bbs_rand.c \
	utils/bbsrand.c utils/prng.c utils/primegen.c \
	utils/basecvt.c utils/makeprime.c\
	utils/fact.c utils/exptmod.c utils/pi.c utils/metime.c \
	utils/mpi.h utils/mpprime.h mulsqr.c \
	make-test-arrays test-arrays.txt all-tests make-logtab \
	types.pl stats timetest multest

## These are the header files that go into the distribution file
HDRS=mpi.h mpi-config.h utils/mpi.h utils/mpi-config.h mpprime.h mplogic.h mp_gf2m.h \
     mp_gf2m-priv.h utils/bbs_rand.h tests/mpi.h tests/mpprime.h

## These are the documentation files that go into the distribution file
DOCS=README doc utils/README utils/PRIMES 

## This is the list of tools built by 'make tools'
TOOLS=gcd invmod isprime lap dec2hex hex2dec primegen prng \
	basecvt fact exptmod pi makeprime identest

LIBOBJS = mpprime.o mpmontg.o mplogic.o mp_gf2m.o mpi.o mpcpucache.o $(AS_OBJS)
LIBHDRS = mpi-config.h mpi-priv.h mpi.h
APPHDRS = mpi-config.h mpi.h mplogic.h mp_gf2m.h mpprime.h

help:
	@ echo ""
	@ echo "The following targets can be built with this Makefile:"
	@ echo ""
	@ echo "libmpi.a     - arithmetic and prime testing library"
	@ echo "mpi-test     - test driver (requires MP_IOFUNC)"
	@ echo "tools        - command line tools"
	@ echo "doc          - manual pages for tools"
	@ echo "clean        - clean up objects and such"
	@ echo "distclean    - get ready for distribution"
	@ echo "dist         - distribution tarball"
	@ echo ""

.SUFFIXES: .c .o .i

.c.i:
	$(CC) $(CFLAGS) -E $< > $@

#.c.o: $*.h $*.c
#	$(CC) $(CFLAGS) -c $<

#---------------------------------------

$(LIBOBJS): $(LIBHDRS)

logtab.h: make-logtab
	$(PERL) make-logtab > logtab.h

mpi.o: mpi.c logtab.h $(LIBHDRS)

mplogic.o: mplogic.c mpi-priv.h mplogic.h $(LIBHDRS)

mp_gf2m.o: mp_gf2m.c mpi-priv.h mp_gf2m.h mp_gf2m-priv.h $(LIBHDRS)

mpmontg.o: mpmontg.c mpi-priv.h mplogic.h mpprime.h $(LIBHDRS)

mpprime.o: mpprime.c mpi-priv.h mpprime.h mplogic.h primes.c $(LIBHDRS)

mpcpucache.o: mpcpucache.c $(LIBHDRS)

mpi_mips.o: mpi_mips.s
	$(CC) -o $@ $(ASFLAGS) -c mpi_mips.s

mpi_sparc.o : montmulf.h

mpv_sparcv9.s: vis_64.il mpv_sparc.c
	$(CC) -o $@ $(SOLARIS_FPU_FLAGS) -S vis_64.il mpv_sparc.c

mpv_sparcv8.s: vis_64.il mpv_sparc.c
	$(CC) -o $@ $(SOLARIS_FPU_FLAGS) -S vis_32.il mpv_sparc.c

montmulfv8.o montmulfv9.o mpv_sparcv8.o mpv_sparcv9.o : %.o : %.s 
	$(CC) -o $@ $(SOLARIS_ASM_FLAGS) -c $<

# This rule is used to build the .s sources, which are then hand optimized.
#montmulfv8.s montmulfv9.s : montmulf%.s : montmulf%.il montmulf.c montmulf.h 
#	$(CC) -o $@ $(SOLARIS_ASM_FLAGS) -S montmulf$*.il montmulf.c


libmpi.a: $(LIBOBJS)
	ar -cvr libmpi.a $(LIBOBJS)
	$(RANLIB) libmpi.a

lib libs: libmpi.a

mpi.i: mpi.h

#---------------------------------------

MPTESTOBJS = mptest1.o mptest2.o mptest3.o mptest3a.o mptest4.o mptest4a.o \
	mptest4b.o mptest6.o mptest7.o mptest8.o mptest9.o mptestb.o
MPTESTS = $(MPTESTOBJS:.o=)

$(MPTESTOBJS): mptest%.o: tests/mptest-%.c $(LIBHDRS)
	$(CC) $(CFLAGS) -o $@ -c $<

$(MPTESTS): mptest%: mptest%.o libmpi.a
	$(CC) $(CFLAGS) -o $@ $^  $(LIBS)

tests: mptest1 mptest2 mptest3 mptest3a mptest4 mptest4a mptest4b mptest6 \
	mptestb bbsrand

utests: mptest7 mptest8 mptest9

#---------------------------------------

EXTRAOBJS = bbsrand.o bbs_rand.o prng.o
UTILOBJS = primegen.o metime.o identest.o basecvt.o fact.o exptmod.o pi.o \
	makeprime.o gcd.o invmod.o lap.o isprime.o \
	dec2hex.o hex2dec.o
UTILS = $(UTILOBJS:.o=) 

$(UTILS): % : %.o libmpi.a
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

$(UTILOBJS) $(EXTRAOBJS): %.o : utils/%.c $(LIBHDRS)
	$(CC) $(CFLAGS) -o $@ -c $<

prng: prng.o bbs_rand.o libmpi.a
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

bbsrand: bbsrand.o bbs_rand.o libmpi.a
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

utils: $(UTILS) prng bbsrand

#---------------------------------------

test-info.c: test-arrays.txt
	$(PERL) make-test-arrays test-arrays.txt > test-info.c

mpi-test.o: mpi-test.c test-info.c $(LIBHDRS)
	$(CC) $(CFLAGS) -o $@ -c $<

mpi-test: mpi-test.o libmpi.a
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

mdxptest.o: mdxptest.c $(LIBHDRS) mpi-priv.h

mdxptest: mdxptest.o libmpi.a
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

mulsqr.o: mulsqr.c logtab.h mpi.h mpi-config.h mpprime.h 
	$(CC) $(CFLAGS) -DMP_SQUARE=1 -o $@ -c mulsqr.c 

mulsqr: mulsqr.o libmpi.a
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

#---------------------------------------

alltests: tests utests mpi-test

tools: $(TOOLS)

doc:
	(cd doc; ./build)

clean:
	rm -f *.o *.a *.i
	rm -f core
	rm -f *~ .*~
	rm -f utils/*.o
	rm -f utils/core
	rm -f utils/*~ utils/.*~

clobber: clean
	rm -f $(TOOLS) $(UTILS)

distclean: clean
	rm -f mptest? mpi-test metime mulsqr karatsuba
	rm -f mptest?a mptest?b
	rm -f utils/mptest?
	rm -f test-info.c logtab.h
	rm -f libmpi.a
	rm -f $(TOOLS)

dist: Makefile $(HDRS) $(SRCS) $(DOCS)
	tar -cvf mpi-$(VERS).tar Makefile $(HDRS) $(SRCS) $(DOCS)
	pgps -ab mpi-$(VERS).tar
	chmod +r mpi-$(VERS).tar.asc
	gzip -9 mpi-$(VERS).tar

# END

## thunderbird 2.0.0.21+nobinonly

=== security/nss/cmd/Makefile ===
#! gmake
# 
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

CORE_DEPTH = ../..
DEPTH = ../..

include manifest.mn
include $(CORE_DEPTH)/coreconf/config.mk

ifndef USE_SYSTEM_ZLIB
ZLIB_SRCDIR = zlib  # Add the zlib directory to DIRS.
endif

INCLUDES += \
	-I$(DIST)/../public/security \
	-I./include \
	$(NULL)

include $(CORE_DEPTH)/coreconf/rules.mk

symbols::
	@echo "TARGETS	= $(TARGETS)"
